<h1 align="center">Spug</h1>

<div align="center">

Spug是面向中小型企业设计的轻量级无Agent的自动化运维平台，整合了主机管理、主机批量执行、主机在线终端、应用发布部署、在线任务计划、配置中心、监控、报警等一系列功能。

</div>

- 官网地址：https://www.spug.dev
- 使用文档：https://www.spug.dev/docs/about-spug/
- 更新日志：https://www.spug.dev/docs/change-log/
- 常见问题：https://www.spug.dev/docs/faq/

## 演示环境

演示地址：https://demo.spug.dev
```
演示账号: admin 
演示密码：spug
```


## 特性

- **批量执行**: 主机命令在线批量执行
- **在线终端**: 主机支持浏览器在线终端登录
- **文件管理**: 主机文件在线上传下载
- **任务计划**: 灵活的在线任务计划
- **发布部署**: 支持自定义发布部署流程
- **配置中心**: 支持KV、文本、json等格式的配置
- **监控中心**: 支持站点、端口、进程、自定义等监控
- **报警中心**: 支持短信、邮件、钉钉、微信等报警方式
- **优雅美观**: 基于 Ant Design 的UI界面
- **开源免费**: 前后端代码完全开源


## 环境

* Python 3.6+
* Django 2.2
* Node 12.14
* React 16.11

## 安装

[官方文档](https://spug.dev/docs/install/)

更多使用帮助请参考 [使用文档](https://www.spug.dev/docs/host-manage/)。

## 推荐项目
[Yearning — MYSQL 开源SQL语句审核平台](https://github.com/cookieY/Yearning)


## 预览

#### 主机批量执行
![image](https://cdn.spug.cc/img/host-exec-2.0.png)

#### 主机在线终端
![image](https://cdn.spug.cc/img/host-console-2.0.png)

#### 文件在线上传下载
![文件管理](https://cdn.spug.cc/img/spug-host-file.png)

#### 应用管理
![image](https://cdn.spug.cc/img/app-2.0.png)
![image](https://cdn.spug.cc/img/app-apply-2.0.png)

#### 任务管理
![image](https://cdn.spug.cc/img/task-2.0.png)
![image](https://cdn.spug.cc/img/task-detail-2.0.png)
#### 配置管理(支持KV,txt,json等格式)
![image](https://cdn.spug.cc/img/service-conf-2.0.png)
![image](https://cdn.spug.cc/img/service-conf-json-2.0.png)
![image](https://cdn.spug.cc/img/conf-history-2.0.png)

#### 监控报警
![image](https://cdn.spug.cc/img/monitor-alarm-2.0.png)
![image](https://cdn.spug.cc/img/monitor-add-2.0.png)

#### 角色权限
![image](https://cdn.spug.cc/img/role-2.0.png)


## 赞助
<table>
  <thead>
    <tr>
      <th align="center" style="width: 115px;">
        <a href="https://www.ucloud.cn/site/active/kuaijie.html?invitation_code=C1xD0E5678FBA77">
          <img src="https://cdn.spug.cc/img/ucloud.png" width="115px"><br>
          <sub>UCloud</sub><br>
          <sub>5 元/月云主机</sub>
        </a>
      </th>
        <th align="center" style="width: 115px;">
        <a href="https://www.aliyun.com/minisite/goods?userCode=8vdj3myc">
          <img src="https://cdn.spug.cc/img/aliyun_quan.png" width="115px"><br>
          <sub>阿里云通用券</sub><br>
          <sub>300元限量免费领</sub>
        </a>
      </th>
      <th align="center" style="width: 125px;">
        <a href="http://www.magedu.com">
          <img src="https://cdn.spug.cc/img/magedu-logo.jpeg" width="115px"><br>
          <sub>马哥教育</sub><br>
          <sub>IT人高薪职业学院</sub>
        </a>
      </th>
    </tr>
  </thead>
</table>

## 开发者群
#### QQ群号: 122194636
<div >
   <img src="https://cdn.spug.cc/img/spug-qq-2.png" width = "300" height = "300" alt="spug-qq" align=center />
<div>

#### 微信：关注Spug运维公众号加微信群、获取最新产品动态
<div >
   <img src="https://cdn.spug.cc/img/spug-weixin.jpeg" width = "300" height = "300" alt="spug-qq" align=center />
<div>
  
## License & Copyright
[AGPL-3.0](https://opensource.org/licenses/AGPL-3.0)
